/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _KDAROPENARCHIVEDIALOG_H_
#define _KDAROPENARCHIVEDIALOG_H_

#include <qstring.h>
#include <qwidget.h>

class KDarOpenArchiveWidget;
class KFileDialog;

/**
 * @class KDarOpenArchiveDialog Present user this dialog for selecting
 *        an archive to open, as well as options for opening.
 */

class KDarOpenArchiveDialog : public QWidget
{
    Q_OBJECT
public:

    KDarOpenArchiveDialog( const QString & startDir, const QString & filter, QWidget* parent, const char* name, bool modal = true );
    virtual ~KDarOpenArchiveDialog();

    virtual int exec();

    virtual QString selectedFile() const { return m_selectedFile; }
    virtual QString inputPipe() const { return m_inputPipe; }
    virtual QString outputPipe() const { return m_outputPipe; }
    virtual QString executeCommand() const { return m_executeCommand; }
    virtual bool verbose() const { return m_verbose; }

private:
    KFileDialog* m_dialog;
    KDarOpenArchiveWidget* m_options;
    QString m_selectedFile;
    QString m_inputPipe;
    QString m_outputPipe;
    QString m_executeCommand;
    QString m_verbose;
};

#endif // _KDAROPENARCHIVEDIALOG_H_
