/***************************************************************************
 *   Copyright (C) 2004, 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _KDARCANCELBUTTONEVENT_H_
#define _KDARCANCELBUTTONEVENT_H_

#include "../kdarenums.h"
#include <qevent.h>

/**
 * This class provides a way to enable and disable the cancel button
 * from any non-GUI thread.
 */

class kdarCancelButtonEvent: public QCustomEvent
{
public:

    /**
     * Constructor.
     *
     * @param command the command to run: ENABLE or DISABLE
     */
    kdarCancelButtonEvent( bool state )
        : QCustomEvent( KDar::CANCELBUTTON ),
          m_state( state )
    {}

    /**
     * The state to set the button into: true is enabled, false is disabled.
     */
    bool state() const { return m_state; }

private:
    /**
     * Whether to enable the button (true) or disable it (false).
     */
    bool m_state;
};

#endif // _KDARCANCELBUTTONEVENT_H_
