/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill   *
 *   jkerrb@shaw.ca   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kdarcontrollerfactory.h"
#include "kdarcontroller.h"

#include <klocale.h>

//The factory for the KDarController
KDarControllerFactory::KDarControllerFactory()
    : KLibFactory()
{
}

KDarControllerFactory::~KDarControllerFactory()
{
}

QObject* KDarControllerFactory::createObject( QObject* parent, const char* name, const char * /*classname*/, const QStringList &/*args*/ )
{
    // Create an instance of our Part
    KDarController* obj = new KDarController::KDarController( parent, name );
    return obj;
}

extern "C"
{
    void* init_libkdarcontroller()
    {
	KGlobal::locale()->insertCatalogue( "kdarcontroller" );
        return new KDarControllerFactory;
    }
};

#include "kdarcontrollerfactory.moc"
