/***************************************************************************
 *   Copyright (C) 2004, 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _OPENARCHIVETHREAD_H_
#define _OPENARCHIVETHREAD_H_

#include "kdarthread.h"

#include <qstring.h>

#include <dar/libdar.hpp>

/**
 * This is the openArchiveThread class. It opens an archive that already
 * exists.
 *
 * @short Thread for opening an archive.
 * @author Johnathan K. Burchill, jkerrb@users.sourceforge.net
 * @version 1.3.0
 */
class OpenArchiveThread : public KDarThread {

public:
    /**
     * Constructor
     * @param aController the controller responsible for deleting the
     * thread.
     */
    OpenArchiveThread( controller * aController, const QString & filename, const QString & inputPipe = "", const QString & outputPipe = "", const QString & executeCommand = "", bool verbose = false, libdar::U_I blocksize = 10240 );
    ~OpenArchiveThread();

    void run();

private:
    QString m_filename;
    QString m_inputPipe;
    QString m_outputPipe;
    QString m_executeCommand;
    bool m_verbose;
    libdar::U_I m_blockSize;
};


#endif // _OPENARCHIVETHREAD_H_
