/***************************************************************************
 *   Copyright (C) 2004, 2005 by Johnathan Burchill                        *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _TESTARCHIVETHREAD_H_
#define _TESTARCHIVETHREAD_H_

#include "kdarthread.h"

class libdar::archive;

/**
 * This is the testArchiveThread class. It runs the
 * libdar:op_test testing function, which verifies the archive contents
 * using a CRC.
 *
 * \brief Archive testing thread.
 * \author Johnathan K. Burchill, jkerrb@users.sourceforge.net
 * \version 3.0
 */
class TestArchiveThread : public KDarThread {

public:
    /**
     * Constructor
     * \param aController the controller responsible for deleting the thread.
     */
    TestArchiveThread( controller * aController, libdar::archive* archive, bool verbose, bool showSkipped );
    ~TestArchiveThread();

    void run();

private:
    libdar::archive* m_archive;
    bool m_verbose;
    bool m_showSkipped;
};



#endif // _TESTARCHIVETHREAD_H_
