/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARCOMBOBOX_H_
#define _KDARCOMBOBOX_H_

#include <kcombobox.h>

#include <qobject.h>

class QWidget;

/**
 * This class' sole purpose is to intercept @ref KComboBox::setCurrentItem()
 * and emit the @ref itemChanged() signal. This solves the problem of setting
 * the enabled/disabled state of other widgets based on the currentItem when
 * @ref KConfigDialogManager changes the state of the combobox. The QT-supplied
 * activated( int ) signal does not respond to the default setCurrentItem( int ).
 */

class KDarComboBox : public KComboBox
{
    Q_OBJECT

public:

    /** Constructor **/
    KDarComboBox( QWidget* parent, const char* name );
    /** Destructor **/
    virtual ~KDarComboBox();
    /** Overrides KComboBox's setCurrentItem **/
    virtual void setCurrentItem( int index );

signals:
    /** The combobox emits this signal whenever setCurrentItem is called. **/
    void itemChanged( int index );
};

#endif // _KDARCOMBOBOX_H_
