/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARCOMPRESSIONCONFIGDIALOG_H_
#define _KDARCOMPRESSIONCONFIGDIALOG_H_

#include "kdarfilterconfigdialog.h"

#include <qwidget.h>

class KDarComboBox;
class KIntSpinBox;

class QLabel;

class KDarCompressionConfigDialog : public KDarFilterConfigDialog
{
    Q_OBJECT
public:

    KDarCompressionConfigDialog( QWidget* parent, const char* name );

    virtual ~KDarCompressionConfigDialog();

    KDarComboBox* kcfg_CompressionType;
    KIntSpinBox* kcfg_CompressionLevel;
    KIntSpinBox* kcfg_MinimumCompressionSize;
private slots:

    /**
     * sets whether the gzip compression level label and kintspinbox are enabled.
     */
    void slotSetEnabledState( int level );

private:

    QLabel* m_levelLabel;
    QLabel* m_sizeLabel;

};

#endif // _KDARCOMPRESSIONCONFIGDIALOG_H_
