/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARFILTERCONFIGDIALOG_H_
#define _KDARFILTERCONFIGDIALOG_H_

#include "kdarfilterconfig.h"
#include "kdarfilteritem.h"

#include <klocale.h>

#include <qstring.h>
#include <qstringlist.h>
#include <qwidget.h>

class KDarFilterConfigDialog : public KDarFilterConfig
{
    Q_OBJECT
public:

    KDarFilterConfigDialog( QWidget* parent, const char* name );

    virtual ~KDarFilterConfigDialog();

    virtual void addFilter( const QString & label = i18n( "Enter filter text" ), const int type = KDarFilterItem::EXCLUDE, const bool automatic = false, const bool afterCurrent = true, const bool startEdit = true );

    virtual void setFilters( const QStringList & filterList );
    virtual QStringList getFilters() const;

signals:

    void widgetChanged();

protected slots:

    virtual void slotFilterItemAdd();
    virtual void slotFilterItemRemove();
    virtual void slotFilterItemMoveUp();
    virtual void slotFilterItemMoveDown();
    virtual void slotFilterItemToggleType();

};

#endif // _KDARFILTERCONFIGDIALOG_H_
