/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kdarfilteritem.h"

#include <kiconloader.h>

#include <qpixmap.h>

KDarFilterItem::KDarFilterItem( KListView* parent, QString label, int type, bool automatic )
    : KListViewItem( parent, label ),
      m_type( type ),
      m_automatic( automatic )
{
    setRenameEnabled( 0, true );
    updateTypeIcon( m_type );
    if ( m_automatic )
        setEnabled( false );
}

KDarFilterItem::KDarFilterItem( KListView* parent, KDarFilterItem* after, QString label, int type, bool automatic )
    : KListViewItem( parent, after, label ),
      m_type( type ),
      m_automatic( automatic )
{
    setRenameEnabled( 0, true );
    updateTypeIcon( m_type );
    if ( m_automatic )
        setEnabled( false );
}

KDarFilterItem::~KDarFilterItem()
{
}

int KDarFilterItem::type()
{
    return m_type;
}

void KDarFilterItem::setType( int type )
{
    if ( !m_automatic )
        m_type = type;
}

void KDarFilterItem::toggleType()
{
    if ( !m_automatic )
    {
        m_type = 1 - m_type;
        updateTypeIcon( m_type );
    }
}

void KDarFilterItem::updateTypeIcon( int type )
{
    //update the item's icon
    if ( type == INCLUDE )
        setPixmap( 0, SmallIcon( "button_ok" ) );
    else
        setPixmap( 0, SmallIcon( "button_cancel" ) );
}

bool KDarFilterItem::isAutomatic()
{
    return m_automatic;
}

//#include "kdarfilteritem.moc"
