/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARFILTERITEM_H_
#define _KDARFILTERITEM_H_

#include <klistview.h>

#include <qstring.h>

class QWidget;

class KDarFilterItem : public KListViewItem
{

public:

    enum filterType
    {
        EXCLUDE,
        INCLUDE
    };

    KDarFilterItem( KListView* parent, QString label, int type, bool automatic = false );
    KDarFilterItem( KListView* parent, KDarFilterItem* after, QString label, int type, bool automatic = false );

    virtual ~KDarFilterItem();

    /** Returns type. Can be INCLUDE or EXCLUDE **/
    virtual int type();
    /** Sets type. Can be INCLUDE or EXCLUDE **/
    virtual void setType( int type );
    /** Toggles type from INCLUDE to EXCLUDE and vise-versa **/
    virtual void toggleType();
    /**
     * Returns whether this filter is automatically set by KDar, in which
     * case it cannot be edited by the user.
     */
    bool isAutomatic();
private:
    /** Updates the item's type icon **/
    virtual void updateTypeIcon( int type );

    int m_type;
    const bool m_automatic;
};

#endif // _KDARFILTERITEM_H_
