/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kdaractionview.h"

#include <kiconloader.h>
#include <klocale.h>

#include <qwidget.h>

KDarActionView::KDarActionView( QWidget* parent, const char* name )
    : KIconView( parent, name )
{
    //prevent selections
    setSelectionMode( NoSelection );
    //add the action icons here
    //Create full backup
    (void) new KIconViewItem( this, i18n( "Full backup" ), DesktopIcon( "kdar_full_backup" ) );
    //Create differential backup
    (void) new KIconViewItem( this, i18n( "Differential backup" ), DesktopIcon( "kdar_diff_backup" ) );
    //Restore backup
    (void) new KIconViewItem( this, i18n( "Restore" ), DesktopIcon( "kdar_restore" ) );
}

KDarActionView::~KDarActionView()
{
}
