/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KDARARCHIVEITEM_H
#define KDARARCHIVEITEM_H

#include <klistview.h>
#include <qstring.h>

#include <dar/libdar.hpp>


/**
 * \brief Keeps track of opened archives.
 *
 * This class keeps track of opened archives. Just add an item to a
 * KListView when you open an archive. Remove it from the view when you
 * close it.
 */
class KDarArchiveItem : public KListViewItem
{
public:
    KDarArchiveItem( libdar::archive* arch, const QString & path, KListView* listView, const QString & name );
    KDarArchiveItem( libdar::archive* arch, const QString & path,  KListView* listView, KDarArchiveItem* after, const QString & name );
    ~KDarArchiveItem();

    libdar::archive* archive() const { return m_archive; }
    QString path() const { return m_path; }
    QString name() const { return m_name; }

private:
    libdar::archive* m_archive;
    QString m_path;
    QString m_name;

};

#endif // KDARARCHIVEITEM_H
