/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARADDARCHIVEDIALOG_H_
#define _KDARADDARCHIVEDIALOG_H_

#include "kdaraddarchivewidget.h"

#include <kdialogbase.h>
#include <klineedit.h>
#include <ktextedit.h>
#include <kurlrequester.h>

#include <qcheckbox.h>
#include <qstring.h>

class KDarManagerItem;

class KListViewItem;

class QWidget;

/**
 * A dialog for adding an archive to the KDar manager
 */

class KDarAddArchiveDialog : public KDialogBase
{
    Q_OBJECT
public:

    KDarAddArchiveDialog( QWidget* parent, const QString & caption );

    virtual ~KDarAddArchiveDialog();

    QString name() const { return m_widget->archiveName->text(); };
    QString root() const { return m_widget->archiveRoot->url(); };
    QString notes() const { return m_widget->archiveNotes->text(); };
    QString path() const { return m_widget->archiveURL->url(); };

    bool isDifferential() const { return m_widget->differential->isChecked(); };
    void addReferenceArchive( KDarManagerItem* item );
    void clearReferenceList();
    KListViewItem* referenceArchive();

private slots:

    /** show the list of reference archives **/
    void slotShowReferenceList( bool show );

private:

    KDarAddArchiveWidget* m_widget;

};

#endif // _KDARADDARCHIVEDIALOG_H_
