
#include "kdar.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP( "A KDE KPart Application" );

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main( int argc, char **argv )
{
    KAboutData about( "kdar", I18N_NOOP( "KDar" ), version, description,
                     KAboutData::License_GPL, "(C) 2005 Johnathan Burchill", 0, 0, "jkerrb@users.sourceforge.net" );
    about.addAuthor( "Johnathan Burchill", 0, "jkerrb@users.sourceforge.net" );
    KCmdLineArgs::init( argc, argv, &about );
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    // see if we are starting with session management
    if ( app.isRestored() )
    {
        RESTORE( KDar );
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        if ( args->count() == 0 )
        {
        KDar *widget = new KDar;
        widget->show();
        }
        else
        {
            int i = 0;
            for ( ; i < args->count(); i++ )
            {
                KDar *widget = new KDar;
                widget->show();
                widget->load( args->url( i ) );
            }
        }
        args->clear();
    }

    return app.exec();
}
